Subject: Is git over http (git-http-push) ready for production ?

From: Fabien <[email-masked]>
Date: Fri, 19 Feb 2010 11:26:16 +0100

Hi,

Following my last email about locks problem with reiserfs (see
git-http-push (git v1.5) problems with DAVLockDB on reiserfs FS), I was
wondering how reliable is git-http-push.

I was able to reproduce the same problem, also with client 1.6.6.2, when
interrupting the command in the middle.

$ git push origin master
Fetching remote heads...
  refs/
  refs/tags/
  refs/heads/
updating 'refs/heads/master'
  from a0f6d85d90a52a28628f29765eb61de559c1fd31
  to   952622ca0f55e76d810a5dc7a1dd1c8c44f8a7d7
Removing remote locks...

=> interrupted by Ctrl+C

$ git push origin master
Fetching remote heads...
  refs/
  refs/tags/
  refs/heads/
updating 'refs/heads/master'
  from a0f6d85d90a52a28628f29765eb61de559c1fd31
  to   952622ca0f55e76d810a5dc7a1dd1c8c44f8a7d7
Unable to lock remote branch refs/heads/master
Updating remote server info
fatal: git-http-push failed

I had to delete the davlock file and restart apache to solve the issue.
So, this operation doesn't seem really atomic ?

Another problem I see is the password in clear text in ~/.netrc to avoid
  to type passwords all the time.
Is there any plan to address this problem ? There used to be the same
case in subversion (yep, sorry for the comparison), and they finally
addressed that by supporting GNOME Keyring and KWallet.
For what I saw, http support is provided thru libcurl, so it may not be
that easy.

Finally, hooks don't work when using git over http (yep, I know, it's a
"dumb" protocol)...

Sorry for blaming you and thanks a lot for your help :)

--
Fabien